<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="ABM Locales : "/>
        <p:separator />
    <h:form rendered="#{!localMB.editMode}">
		<p:commandButton  value="Nuevo" action="#{localMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="locales" var="ent" value="#{localMB.list}" widgetVar="tablaLocal"
                 emptyMessage="No hay resultados para esa busqueda"
                 rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} ">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Nombre y/o Código:" />
	                <p:inputText id="globalFilter" onkeyup="PF('tablaLocal').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.zonal.nombre}" headerText="Equipo Territorial Provincial" filterMatchMode="contains">
                <p:outputLabel value="#{ent.zonal.nombre}" />
            </p:column>
            <p:column filterBy="#{ent.nombre}" headerText="Nombre" filterMatchMode="contains">
                <p:outputLabel value="#{ent.nombre}" />
            </p:column>
            <p:column filterBy="#{ent.codigo}" headerText="Código" filterMatchMode="contains">
                <p:outputLabel value="#{ent.codigo}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Convenio" />
                </f:facet>
                <p:outputLabel value="Si" rendered="#{ent.convenio}" />
                <p:outputLabel value="No" rendered="#{!ent.convenio}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Teléfono" />
                </f:facet>
                <p:outputLabel value="#{ent.telefono}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Dirección" />
                </f:facet>
                <p:outputLabel value="#{ent.direccion}" />
            </p:column>            
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{localMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages locales" action="#{localMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el local" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{localMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/> 
    </h:form>
    <h:form rendered="#{localMB.editMode}">
        <p:panelGrid columns="3" >
            <p:outputLabel id="zonal" value="Equipo Territorial Provincial :"/>
       		<p:selectOneMenu for="zonal" value="#{localMB.instance.zonal}" converter="zonalConverter" required="true" label="Equipo Territorial Provincial">
           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
           		<f:selectItems value="#{commonSelectorsMB.getZonales(localMB.instance.zonal)}" var="zonal"
                          itemValue="#{zonal}"
                          itemLabel="#{zonal.nombre}"/>
       		</p:selectOneMenu>
            <p:message for="zonal" display="icon"/>
            
            
                <p:outputLabel for="nombre" value="Nombre : " />
                <p:inputText id="nombre" value="#{localMB.instance.nombre}" required="true" label="Nombre"/>
                <p:message for="nombre" display="icon"/>
                
            
            
                <p:outputLabel for="codigo" value="Código : " />
                <p:inputText id="codigo" value="#{localMB.instance.codigo}" required="true" label="Codigo">
                	<f:validateLength maximum="5" /> 
                </p:inputText>
                <p:message for="codigo" display="icon"/>
            
                <p:outputLabel for="convenio" value="Convenio : " />
            	<p:selectOneRadio id="convenio" value ="#{localMB.instance.convenio}" required="true" label="Convenio">
  						<f:selectItem itemValue="#{false}" itemLabel="No" />
  						<f:selectItem itemValue="#{true}" itemLabel="Si"/>
				</p:selectOneRadio>
				<p:message for="convenio" display="icon"/>
			
            
                <p:outputLabel for="telefono" value="Teléfono : " />
                <p:inputText id="telefono" value="#{localMB.instance.telefono}" label="telefono" required="true" validatorMessage="Solo se permiten numeros para el campo telefono">
    					<f:validateRegex  pattern="\d*(.\d+)?" />
    			</p:inputText>
                <p:message for="telefono" display="icon"/>
            
                <p:outputLabel for="celGuardia" value="Teléfono celular de guardia: " />
                <p:inputText id="celGuardia" value="#{localMB.instance.celGuardia}"/>
                <h:panelGroup/>
                
                <p:outputLabel for="email" value="Email: " />
                <p:inputText id="email" value="#{localMB.instance.email}" label="Email" required="true" validatorMessage="El mail ingresado es invalido">
                	<f:validateRegex for="email" 
						pattern="^[_A-Za-z0-9-\+]+(\.[_A-Za-z0-9-]+)*@[A-Za-z0-9-]+(\.[A-Za-z0-9]+)*(\.[A-Za-z]{2,})$" />
				</p:inputText>
                <p:message  for="email" display="icon"/>
            
                <p:outputLabel for="observacion" value="Observación: " />
                <p:inputTextarea rows="10" cols="50" value="#{localMB.instance.observacion}" queryDelay="750" minQueryLength="4" id="observacion" />
                <h:panelGroup/>
                
            
        </p:panelGrid>  
        <p:commandButton id="add" value="Guardar" action="#{localMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{localMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
